curl --request POST \
--url https://apigcp.trynia.ai/v2/contexts \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"title": "<string>",
"summary": "<string>",
"content": "<string>",
"agent_source": "<string>",
"tags": [
"<string>"
],
"metadata": {},
"organization_id": "<string>",
"nia_references": {
"indexed_resources": [
{
"identifier": "<string>",
"resource_type": "<string>",
"purpose": "<string>",
"indexed_at": "<string>"
}
],
"search_queries": [
{
"query": "<string>",
"query_type": "<string>",
"key_findings": "<string>",
"resources_searched": [
"<string>"
],
"useful_results_count": 0
}
],
"session_summary": "<string>"
},
"edited_files": [
{
"file_path": "<string>",
"operation": "<string>",
"changes_description": "<string>",
"key_changes": [
"<string>"
],
"language": "<string>"
}
],
"memory_type": "episodic",
"ttl_seconds": 1,
"lineage": {
"source_ids": [
"<string>"
],
"confidence": 0.5,
"derived_from": [
"<string>"
],
"tool_calls": [
"<string>"
],
"model_version": "<string>"
}
}
'import requests
url = "https://apigcp.trynia.ai/v2/contexts"
payload = {
"title": "<string>",
"summary": "<string>",
"content": "<string>",
"agent_source": "<string>",
"tags": ["<string>"],
"metadata": {},
"organization_id": "<string>",
"nia_references": {
"indexed_resources": [
{
"identifier": "<string>",
"resource_type": "<string>",
"purpose": "<string>",
"indexed_at": "<string>"
}
],
"search_queries": [
{
"query": "<string>",
"query_type": "<string>",
"key_findings": "<string>",
"resources_searched": ["<string>"],
"useful_results_count": 0
}
],
"session_summary": "<string>"
},
"edited_files": [
{
"file_path": "<string>",
"operation": "<string>",
"changes_description": "<string>",
"key_changes": ["<string>"],
"language": "<string>"
}
],
"memory_type": "episodic",
"ttl_seconds": 1,
"lineage": {
"source_ids": ["<string>"],
"confidence": 0.5,
"derived_from": ["<string>"],
"tool_calls": ["<string>"],
"model_version": "<string>"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
title: '<string>',
summary: '<string>',
content: '<string>',
agent_source: '<string>',
tags: ['<string>'],
metadata: {},
organization_id: '<string>',
nia_references: {
indexed_resources: [
{
identifier: '<string>',
resource_type: '<string>',
purpose: '<string>',
indexed_at: '<string>'
}
],
search_queries: [
{
query: '<string>',
query_type: '<string>',
key_findings: '<string>',
resources_searched: ['<string>'],
useful_results_count: 0
}
],
session_summary: '<string>'
},
edited_files: [
{
file_path: '<string>',
operation: '<string>',
changes_description: '<string>',
key_changes: ['<string>'],
language: '<string>'
}
],
memory_type: 'episodic',
ttl_seconds: 1,
lineage: {
source_ids: ['<string>'],
confidence: 0.5,
derived_from: ['<string>'],
tool_calls: ['<string>'],
model_version: '<string>'
}
})
};
fetch('https://apigcp.trynia.ai/v2/contexts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"user_id": "<string>",
"title": "<string>",
"summary": "<string>",
"content": "<string>",
"tags": [
"<string>"
],
"agent_source": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"metadata": {},
"organization_id": "<string>",
"updated_at": "2023-11-07T05:31:56Z",
"nia_references": {
"indexed_resources": [
{
"identifier": "<string>",
"resource_type": "<string>",
"purpose": "<string>",
"indexed_at": "<string>"
}
],
"search_queries": [
{
"query": "<string>",
"query_type": "<string>",
"key_findings": "<string>",
"resources_searched": [
"<string>"
],
"useful_results_count": 0
}
],
"session_summary": "<string>"
},
"edited_files": [
{
"file_path": "<string>",
"operation": "<string>",
"changes_description": "<string>",
"key_changes": [
"<string>"
],
"language": "<string>"
}
],
"memory_type": "episodic",
"expires_at": "2023-11-07T05:31:56Z",
"lineage": {
"created_at": "2023-11-07T05:31:56Z",
"source_ids": [
"<string>"
],
"confidence": 123,
"derived_from": [
"<string>"
],
"tool_calls": [
"<string>"
],
"model_version": "<string>"
},
"category_id": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Save context
Save conversation context for cross-agent sharing. Indexed in vector store for semantic search.
Authorizations
API key must be provided in the Authorization header
Body
Request model for creating a shared context.
1 - 20010 - 100050Which agent created this context
Structured tracking of NIA resources used during conversation.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Memory type: scratchpad (1hr), episodic (7d), fact (permanent), procedural (permanent)
scratchpad, episodic, fact, procedural Custom TTL in seconds. If not set, uses memory_type default.
x >= 0Provenance tracking for this context
Show child attributes
Show child attributes
Response
Successful Response
Response model for context operations.
Structured tracking of NIA resources used during conversation.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
scratchpad, episodic, fact, procedural Provenance tracking for content artifacts.
Show child attributes
Show child attributes
Was this page helpful?

